> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# User

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /user/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/user#get-interaction-restrictions-for-your-public-repositories) <Badge color="blue" size="sm">UAT</Badge> - Get interaction restrictions for your public repositories
* [`PUT /user/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/user#set-interaction-restrictions-for-your-public-repositories) <Badge color="blue" size="sm">UAT</Badge> - Set interaction restrictions for your public repositories
* [`DELETE /user/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/user#remove-interaction-restrictions-from-your-public-repositories) <Badge color="blue" size="sm">UAT</Badge> - Remove interaction restrictions from your public repositories
